API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

ShapeItemSetHandlePoints Method

Set the Shape item's Handle Points

Namespace:  Tekla.Structures.Catalogs
Assembly:  Tekla.Structures.Catalogs (in Tekla.Structures.Catalogs.dll) Version: 2023.0.1
Syntax
public bool SetHandlePoints(
	List<Point> HandlePoints
)

Parameters

HandlePoints
Type: System.Collections.GenericListPoint

[Missing <param name="HandlePoints"/> documentation for "M:Tekla.Structures.Catalogs.ShapeItem.SetHandlePoints(System.Collections.Generic.List{Tekla.Structures.Geometry3d.Point})"]

Return Value

Type: Boolean
True if success or False
Examples
public void SetHandlePointsTest()
{

    var polymesh = CreateSomeValidBrep();
    var shapeItem = new ShapeItem
    {
        Name = "TestFileName",
        ShapeFacetedBrep = polymesh,
        UpAxis = ShapeUpAxis.Z_Axis
    };

    shapeItem.Insert();

    var handlePoints = new List<Point>;
        {
          new Point(100.0, 100.0, 100.0),
          new Point(-100.0, -100.0, -100.0),
        };

   shapeItem.SetHandlePoints(handlePoints);
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.